<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.stream</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;stream
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.stream-module.html">Module pyxmpp.stream</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2003-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno"> 18</tt>  <tt class="py-line"><tt class="py-docstring">"""Generic XMPP stream implementation.</tt> </tt>
<a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line"><tt class="py-docstring">Normative reference:</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line"><tt class="py-docstring">  - `RFC 3920 &lt;http://www.ietf.org/rfc/rfc3920.txt&gt;`__</tt> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line"><tt class="py-docstring">"""</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line"> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">logging</tt> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Module pyxmpp.streambase=pyxmpp.streambase-module.html"><a title="pyxmpp.streambase" class="py-name" href="#" onclick="return doclink('link-1', 'streambase', 'link-1');">streambase</a></tt> <tt class="py-keyword">import</tt> <tt id="link-2" class="py-name" targets="Class pyxmpp.streambase.StreamBase=pyxmpp.streambase.StreamBase-class.html"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-2', 'StreamBase', 'link-2');">StreamBase</a></tt> </tt>
<a name="L29"></a><tt class="py-lineno"> 29</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-3" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-3', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-4" class="py-name" targets="Module pyxmpp.streamtls=pyxmpp.streamtls-module.html"><a title="pyxmpp.streamtls" class="py-name" href="#" onclick="return doclink('link-4', 'streamtls', 'link-4');">streamtls</a></tt> <tt class="py-keyword">import</tt> <tt id="link-5" class="py-name" targets="Class pyxmpp.streamtls.StreamTLSMixIn=pyxmpp.streamtls.StreamTLSMixIn-class.html"><a title="pyxmpp.streamtls.StreamTLSMixIn" class="py-name" href="#" onclick="return doclink('link-5', 'StreamTLSMixIn', 'link-5');">StreamTLSMixIn</a></tt> </tt>
<a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-6" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-6', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-7" class="py-name" targets="Module pyxmpp.streamsasl=pyxmpp.streamsasl-module.html"><a title="pyxmpp.streamsasl" class="py-name" href="#" onclick="return doclink('link-7', 'streamsasl', 'link-7');">streamsasl</a></tt> <tt class="py-keyword">import</tt> <tt id="link-8" class="py-name" targets="Class pyxmpp.streamsasl.StreamSASLMixIn=pyxmpp.streamsasl.StreamSASLMixIn-class.html"><a title="pyxmpp.streamsasl.StreamSASLMixIn" class="py-name" href="#" onclick="return doclink('link-8', 'StreamSASLMixIn', 'link-8');">StreamSASLMixIn</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line"> </tt>
<a name="Stream"></a><div id="Stream-def"><a name="L32"></a><tt class="py-lineno"> 32</tt> <a class="py-toggle" href="#" id="Stream-toggle" onclick="return toggle('Stream');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html">Stream</a><tt class="py-op">(</tt><tt class="py-base-class">StreamTLSMixIn</tt><tt class="py-op">,</tt><tt class="py-base-class">StreamSASLMixIn</tt><tt class="py-op">,</tt><tt class="py-base-class">StreamBase</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="Stream-expanded"><a name="L33"></a><tt class="py-lineno"> 33</tt>  <tt class="py-line">    <tt class="py-docstring">"""Generic XMPP stream class.</tt> </tt>
<a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L35"></a><tt class="py-lineno"> 35</tt>  <tt class="py-line"><tt class="py-docstring">    Responsible for establishing connection, parsing the stream,</tt> </tt>
<a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line"><tt class="py-docstring">    StartTLS encryption and SASL authentication negotiation</tt> </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line"><tt class="py-docstring">    and usage, dispatching received stanzas to apopriate handlers</tt> </tt>
<a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line"><tt class="py-docstring">    and sending application's stanzas.</tt> </tt>
<a name="L39"></a><tt class="py-lineno"> 39</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L40"></a><tt class="py-lineno"> 40</tt>  <tt class="py-line"><tt class="py-docstring">    Whenever we say "stream" here we actually mean two streams</tt> </tt>
<a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line"><tt class="py-docstring">    (incoming and outgoing) of one connections, as defined by the XMPP</tt> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line"><tt class="py-docstring">    specification.</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line"><tt class="py-docstring">    :Ivariables:</tt> </tt>
<a name="L45"></a><tt class="py-lineno"> 45</tt>  <tt class="py-line"><tt class="py-docstring">        - `lock`: RLock object used to synchronize access to Stream object.</tt> </tt>
<a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line"><tt class="py-docstring">        - `features`: stream features as annouced by the initiator.</tt> </tt>
<a name="L47"></a><tt class="py-lineno"> 47</tt>  <tt class="py-line"><tt class="py-docstring">        - `me`: local stream endpoint JID.</tt> </tt>
<a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line"><tt class="py-docstring">        - `peer`: remote stream endpoint JID.</tt> </tt>
<a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line"><tt class="py-docstring">        - `process_all_stanzas`: when `True` then all stanzas received are</tt> </tt>
<a name="L50"></a><tt class="py-lineno"> 50</tt>  <tt class="py-line"><tt class="py-docstring">          considered local.</tt> </tt>
<a name="L51"></a><tt class="py-lineno"> 51</tt>  <tt class="py-line"><tt class="py-docstring">        - `tls`: TLS connection object.</tt> </tt>
<a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line"><tt class="py-docstring">        - `initiator`: `True` if local stream endpoint is the initiating entity.</tt> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line"><tt class="py-docstring">        - `_reader`: the stream reader object (push parser) for the stream.</tt> </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="Stream.__init__"></a><div id="Stream.__init__-def"><a name="L55"></a><tt class="py-lineno"> 55</tt> <a class="py-toggle" href="#" id="Stream.__init__-toggle" onclick="return toggle('Stream.__init__');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">default_ns</tt><tt class="py-op">,</tt> <tt class="py-param">extra_ns</tt> <tt class="py-op">=</tt> <tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> <tt class="py-param">sasl_mechanisms</tt> <tt class="py-op">=</tt> <tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L56"></a><tt class="py-lineno"> 56</tt>  <tt class="py-line">                    <tt class="py-param">tls_settings</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-param">keepalive</tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt><tt class="py-op">,</tt> <tt class="py-param">owner</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Stream.__init__-expanded"><a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line">        <tt class="py-docstring">"""Initialize Stream object</tt> </tt>
<a name="L58"></a><tt class="py-lineno"> 58</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line"><tt class="py-docstring">          - `default_ns`: stream's default namespace ("jabber:client" for</tt> </tt>
<a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line"><tt class="py-docstring">            client, "jabber:server" for server, etc.)</tt> </tt>
<a name="L62"></a><tt class="py-lineno"> 62</tt>  <tt class="py-line"><tt class="py-docstring">          - `extra_ns`: sequence of extra namespace URIs to be defined for</tt> </tt>
<a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line"><tt class="py-docstring">            the stream.</tt> </tt>
<a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line"><tt class="py-docstring">          - `sasl_mechanisms`: sequence of SASL mechanisms allowed for</tt> </tt>
<a name="L65"></a><tt class="py-lineno"> 65</tt>  <tt class="py-line"><tt class="py-docstring">            authentication. Currently "PLAIN", "DIGEST-MD5" and "GSSAPI" are supported.</tt> </tt>
<a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line"><tt class="py-docstring">          - `tls_settings`: settings for StartTLS -- `TLSSettings` instance.</tt> </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line"><tt class="py-docstring">          - `keepalive`: keepalive output interval. 0 to disable.</tt> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line"><tt class="py-docstring">          - `owner`: `Client`, `Component` or similar object "owning" this stream.</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line"><tt class="py-docstring">        """</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line">        <tt id="link-9" class="py-name"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-9', 'StreamBase', 'link-2');">StreamBase</a></tt><tt class="py-op">.</tt><tt id="link-10" class="py-name" targets="Method pyxmpp.cache.Cache.__init__()=pyxmpp.cache.Cache-class.html#__init__,Method pyxmpp.cache.CacheFetcher.__init__()=pyxmpp.cache.CacheFetcher-class.html#__init__,Method pyxmpp.cache.CacheItem.__init__()=pyxmpp.cache.CacheItem-class.html#__init__,Method pyxmpp.cache.CacheSuite.__init__()=pyxmpp.cache.CacheSuite-class.html#__init__,Method pyxmpp.client.Client.__init__()=pyxmpp.client.Client-class.html#__init__,Method pyxmpp.clientstream.ClientStream.__init__()=pyxmpp.clientstream.ClientStream-class.html#__init__,Method pyxmpp.error.ErrorNode.__init__()=pyxmpp.error.ErrorNode-class.html#__init__,Method pyxmpp.error.StanzaErrorNode.__init__()=pyxmpp.error.StanzaErrorNode-class.html#__init__,Method pyxmpp.error.StreamErrorNode.__init__()=pyxmpp.error.StreamErrorNode-class.html#__init__,Method pyxmpp.exceptions.BadRequestProtocolError.__init__()=pyxmpp.exceptions.BadRequestProtocolError-class.html#__init__,Method pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__()=pyxmpp.exceptions.FeatureNotImplementedProtocolError-class.html#__init__,Method pyxmpp.exceptions.JIDMalformedProtocolError.__init__()=pyxmpp.exceptions.JIDMalformedProtocolError-class.html#__init__,Method pyxmpp.exceptions.ProtocolError.__init__()=pyxmpp.exceptions.ProtocolError-class.html#__init__,Method pyxmpp.expdict.ExpiringDictionary.__init__()=pyxmpp.expdict.ExpiringDictionary-class.html#__init__,Method pyxmpp.interface_micro_impl.Attribute.__init__()=pyxmpp.interface_micro_impl.Attribute-class.html#__init__,Method pyxmpp.interface_micro_impl.InterfaceClass.__init__()=pyxmpp.interface_micro_impl.InterfaceClass-class.html#__init__,Method pyxmpp.iq.Iq.__init__()=pyxmpp.iq.Iq-class.html#__init__,Method pyxmpp.jabber.client.JabberClient.__init__()=pyxmpp.jabber.client.JabberClient-class.html#__init__,Method pyxmpp.jabber.clientstream.LegacyClientStream.__init__()=pyxmpp.jabber.clientstream.LegacyClientStream-class.html#__init__,Method pyxmpp.jabber.dataforms.Field.__init__()=pyxmpp.jabber.dataforms.Field-class.html#__init__,Method pyxmpp.jabber.dataforms.Form.__init__()=pyxmpp.jabber.dataforms.Form-class.html#__init__,Method pyxmpp.jabber.dataforms.Item.__init__()=pyxmpp.jabber.dataforms.Item-class.html#__init__,Method pyxmpp.jabber.dataforms.Option.__init__()=pyxmpp.jabber.dataforms.Option-class.html#__init__,Method pyxmpp.jabber.delay.Delay.__init__()=pyxmpp.jabber.delay.Delay-class.html#__init__,Method pyxmpp.jabber.disco.DiscoIdentity.__init__()=pyxmpp.jabber.disco.DiscoIdentity-class.html#__init__,Method pyxmpp.jabber.disco.DiscoInfo.__init__()=pyxmpp.jabber.disco.DiscoInfo-class.html#__init__,Method pyxmpp.jabber.disco.DiscoItem.__init__()=pyxmpp.jabber.disco.DiscoItem-class.html#__init__,Method pyxmpp.jabber.disco.DiscoItems.__init__()=pyxmpp.jabber.disco.DiscoItems-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomHandler.__init__()=pyxmpp.jabber.muc.MucRoomHandler-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomManager.__init__()=pyxmpp.jabber.muc.MucRoomManager-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomState.__init__()=pyxmpp.jabber.muc.MucRoomState-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomUser.__init__()=pyxmpp.jabber.muc.MucRoomUser-class.html#__init__,Method pyxmpp.jabber.muccore.HistoryParameters.__init__()=pyxmpp.jabber.muccore.HistoryParameters-class.html#__init__,Method pyxmpp.jabber.muccore.MucIq.__init__()=pyxmpp.jabber.muccore.MucIq-class.html#__init__,Method pyxmpp.jabber.muccore.MucItem.__init__()=pyxmpp.jabber.muccore.MucItem-class.html#__init__,Method pyxmpp.jabber.muccore.MucItemBase.__init__()=pyxmpp.jabber.muccore.MucItemBase-class.html#__init__,Method pyxmpp.jabber.muccore.MucPresence.__init__()=pyxmpp.jabber.muccore.MucPresence-class.html#__init__,Method pyxmpp.jabber.muccore.MucStanzaExt.__init__()=pyxmpp.jabber.muccore.MucStanzaExt-class.html#__init__,Method pyxmpp.jabber.muccore.MucStatus.__init__()=pyxmpp.jabber.muccore.MucStatus-class.html#__init__,Method pyxmpp.jabber.muccore.MucX.__init__()=pyxmpp.jabber.muccore.MucX-class.html#__init__,Method pyxmpp.jabber.muccore.MucXBase.__init__()=pyxmpp.jabber.muccore.MucXBase-class.html#__init__,Method pyxmpp.jabber.register.Register.__init__()=pyxmpp.jabber.register.Register-class.html#__init__,Method pyxmpp.jabber.vcard.VCard.__init__()=pyxmpp.jabber.vcard.VCard-class.html#__init__,Method pyxmpp.jabber.vcard.VCardAdr.__init__()=pyxmpp.jabber.vcard.VCardAdr-class.html#__init__,Method pyxmpp.jabber.vcard.VCardCategories.__init__()=pyxmpp.jabber.vcard.VCardCategories-class.html#__init__,Method pyxmpp.jabber.vcard.VCardEmail.__init__()=pyxmpp.jabber.vcard.VCardEmail-class.html#__init__,Method pyxmpp.jabber.vcard.VCardField.__init__()=pyxmpp.jabber.vcard.VCardField-class.html#__init__,Method pyxmpp.jabber.vcard.VCardGeo.__init__()=pyxmpp.jabber.vcard.VCardGeo-class.html#__init__,Method pyxmpp.jabber.vcard.VCardImage.__init__()=pyxmpp.jabber.vcard.VCardImage-class.html#__init__,Method pyxmpp.jabber.vcard.VCardJID.__init__()=pyxmpp.jabber.vcard.VCardJID-class.html#__init__,Method pyxmpp.jabber.vcard.VCardKey.__init__()=pyxmpp.jabber.vcard.VCardKey-class.html#__init__,Method pyxmpp.jabber.vcard.VCardLabel.__init__()=pyxmpp.jabber.vcard.VCardLabel-class.html#__init__,Method pyxmpp.jabber.vcard.VCardName.__init__()=pyxmpp.jabber.vcard.VCardName-class.html#__init__,Method pyxmpp.jabber.vcard.VCardOrg.__init__()=pyxmpp.jabber.vcard.VCardOrg-class.html#__init__,Method pyxmpp.jabber.vcard.VCardPrivacy.__init__()=pyxmpp.jabber.vcard.VCardPrivacy-class.html#__init__,Method pyxmpp.jabber.vcard.VCardSound.__init__()=pyxmpp.jabber.vcard.VCardSound-class.html#__init__,Method pyxmpp.jabber.vcard.VCardString.__init__()=pyxmpp.jabber.vcard.VCardString-class.html#__init__,Method pyxmpp.jabber.vcard.VCardTel.__init__()=pyxmpp.jabber.vcard.VCardTel-class.html#__init__,Method pyxmpp.jabberd.component.Component.__init__()=pyxmpp.jabberd.component.Component-class.html#__init__,Method pyxmpp.jabberd.componentstream.ComponentStream.__init__()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#__init__,Method pyxmpp.message.Message.__init__()=pyxmpp.message.Message-class.html#__init__,Method pyxmpp.presence.Presence.__init__()=pyxmpp.presence.Presence-class.html#__init__,Method pyxmpp.roster.Roster.__init__()=pyxmpp.roster.Roster-class.html#__init__,Method pyxmpp.roster.RosterItem.__init__()=pyxmpp.roster.RosterItem-class.html#__init__,Method pyxmpp.sasl.core.Challenge.__init__()=pyxmpp.sasl.core.Challenge-class.html#__init__,Method pyxmpp.sasl.core.ClientAuthenticator.__init__()=pyxmpp.sasl.core.ClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.core.Failure.__init__()=pyxmpp.sasl.core.Failure-class.html#__init__,Method pyxmpp.sasl.core.PasswordManager.__init__()=pyxmpp.sasl.core.PasswordManager-class.html#__init__,Method pyxmpp.sasl.core.Reply.__init__()=pyxmpp.sasl.core.Reply-class.html#__init__,Method pyxmpp.sasl.core.Response.__init__()=pyxmpp.sasl.core.Response-class.html#__init__,Method pyxmpp.sasl.core.ServerAuthenticator.__init__()=pyxmpp.sasl.core.ServerAuthenticator-class.html#__init__,Method pyxmpp.sasl.core.Success.__init__()=pyxmpp.sasl.core.Success-class.html#__init__,Method pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__()=pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__()=pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator-class.html#__init__,Method pyxmpp.sasl.external.ExternalClientAuthenticator.__init__()=pyxmpp.sasl.external.ExternalClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__()=pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.plain.PlainClientAuthenticator.__init__()=pyxmpp.sasl.plain.PlainClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.plain.PlainServerAuthenticator.__init__()=pyxmpp.sasl.plain.PlainServerAuthenticator-class.html#__init__,Method pyxmpp.stanza.Stanza.__init__()=pyxmpp.stanza.Stanza-class.html#__init__,Method pyxmpp.stanzaprocessor.StanzaProcessor.__init__()=pyxmpp.stanzaprocessor.StanzaProcessor-class.html#__init__,Method pyxmpp.stream.Stream.__init__()=pyxmpp.stream.Stream-class.html#__init__,Method pyxmpp.streambase.StreamBase.__init__()=pyxmpp.streambase.StreamBase-class.html#__init__,Method pyxmpp.streamsasl.StreamSASLMixIn.__init__()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#__init__,Method pyxmpp.streamtls.StreamTLSMixIn.__init__()=pyxmpp.streamtls.StreamTLSMixIn-class.html#__init__,Method pyxmpp.streamtls.TLSSettings.__init__()=pyxmpp.streamtls.TLSSettings-class.html#__init__,Method pyxmpp.xmlextra.StreamHandler.__init__()=pyxmpp.xmlextra.StreamHandler-class.html#__init__,Method pyxmpp.xmlextra.StreamReader.__init__()=pyxmpp.xmlextra.StreamReader-class.html#__init__,Method pyxmpp.xmlextra._PythonReader.__init__()=pyxmpp.xmlextra._PythonReader-class.html#__init__,Method pyxmpp.xmlextra._SAXCallback.__init__()=pyxmpp.xmlextra._SAXCallback-class.html#__init__,Method pyxmpp.xmppstringprep.LookupFunction.__init__()=pyxmpp.xmppstringprep.LookupFunction-class.html#__init__,Method pyxmpp.xmppstringprep.LookupTable.__init__()=pyxmpp.xmppstringprep.LookupTable-class.html#__init__,Method pyxmpp.xmppstringprep.Profile.__init__()=pyxmpp.xmppstringprep.Profile-class.html#__init__"><a title="pyxmpp.cache.Cache.__init__
pyxmpp.cache.CacheFetcher.__init__
pyxmpp.cache.CacheItem.__init__
pyxmpp.cache.CacheSuite.__init__
pyxmpp.client.Client.__init__
pyxmpp.clientstream.ClientStream.__init__
pyxmpp.error.ErrorNode.__init__
pyxmpp.error.StanzaErrorNode.__init__
pyxmpp.error.StreamErrorNode.__init__
pyxmpp.exceptions.BadRequestProtocolError.__init__
pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__
pyxmpp.exceptions.JIDMalformedProtocolError.__init__
pyxmpp.exceptions.ProtocolError.__init__
pyxmpp.expdict.ExpiringDictionary.__init__
pyxmpp.interface_micro_impl.Attribute.__init__
pyxmpp.interface_micro_impl.InterfaceClass.__init__
pyxmpp.iq.Iq.__init__
pyxmpp.jabber.client.JabberClient.__init__
pyxmpp.jabber.clientstream.LegacyClientStream.__init__
pyxmpp.jabber.dataforms.Field.__init__
pyxmpp.jabber.dataforms.Form.__init__
pyxmpp.jabber.dataforms.Item.__init__
pyxmpp.jabber.dataforms.Option.__init__
pyxmpp.jabber.delay.Delay.__init__
pyxmpp.jabber.disco.DiscoIdentity.__init__
pyxmpp.jabber.disco.DiscoInfo.__init__
pyxmpp.jabber.disco.DiscoItem.__init__
pyxmpp.jabber.disco.DiscoItems.__init__
pyxmpp.jabber.muc.MucRoomHandler.__init__
pyxmpp.jabber.muc.MucRoomManager.__init__
pyxmpp.jabber.muc.MucRoomState.__init__
pyxmpp.jabber.muc.MucRoomUser.__init__
pyxmpp.jabber.muccore.HistoryParameters.__init__
pyxmpp.jabber.muccore.MucIq.__init__
pyxmpp.jabber.muccore.MucItem.__init__
pyxmpp.jabber.muccore.MucItemBase.__init__
pyxmpp.jabber.muccore.MucPresence.__init__
pyxmpp.jabber.muccore.MucStanzaExt.__init__
pyxmpp.jabber.muccore.MucStatus.__init__
pyxmpp.jabber.muccore.MucX.__init__
pyxmpp.jabber.muccore.MucXBase.__init__
pyxmpp.jabber.register.Register.__init__
pyxmpp.jabber.vcard.VCard.__init__
pyxmpp.jabber.vcard.VCardAdr.__init__
pyxmpp.jabber.vcard.VCardCategories.__init__
pyxmpp.jabber.vcard.VCardEmail.__init__
pyxmpp.jabber.vcard.VCardField.__init__
pyxmpp.jabber.vcard.VCardGeo.__init__
pyxmpp.jabber.vcard.VCardImage.__init__
pyxmpp.jabber.vcard.VCardJID.__init__
pyxmpp.jabber.vcard.VCardKey.__init__
pyxmpp.jabber.vcard.VCardLabel.__init__
pyxmpp.jabber.vcard.VCardName.__init__
pyxmpp.jabber.vcard.VCardOrg.__init__
pyxmpp.jabber.vcard.VCardPrivacy.__init__
pyxmpp.jabber.vcard.VCardSound.__init__
pyxmpp.jabber.vcard.VCardString.__init__
pyxmpp.jabber.vcard.VCardTel.__init__
pyxmpp.jabberd.component.Component.__init__
pyxmpp.jabberd.componentstream.ComponentStream.__init__
pyxmpp.message.Message.__init__
pyxmpp.presence.Presence.__init__
pyxmpp.roster.Roster.__init__
pyxmpp.roster.RosterItem.__init__
pyxmpp.sasl.core.Challenge.__init__
pyxmpp.sasl.core.ClientAuthenticator.__init__
pyxmpp.sasl.core.Failure.__init__
pyxmpp.sasl.core.PasswordManager.__init__
pyxmpp.sasl.core.Reply.__init__
pyxmpp.sasl.core.Response.__init__
pyxmpp.sasl.core.ServerAuthenticator.__init__
pyxmpp.sasl.core.Success.__init__
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__
pyxmpp.sasl.external.ExternalClientAuthenticator.__init__
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainServerAuthenticator.__init__
pyxmpp.stanza.Stanza.__init__
pyxmpp.stanzaprocessor.StanzaProcessor.__init__
pyxmpp.stream.Stream.__init__
pyxmpp.streambase.StreamBase.__init__
pyxmpp.streamsasl.StreamSASLMixIn.__init__
pyxmpp.streamtls.StreamTLSMixIn.__init__
pyxmpp.streamtls.TLSSettings.__init__
pyxmpp.xmlextra.StreamHandler.__init__
pyxmpp.xmlextra.StreamReader.__init__
pyxmpp.xmlextra._PythonReader.__init__
pyxmpp.xmlextra._SAXCallback.__init__
pyxmpp.xmppstringprep.LookupFunction.__init__
pyxmpp.xmppstringprep.LookupTable.__init__
pyxmpp.xmppstringprep.Profile.__init__" class="py-name" href="#" onclick="return doclink('link-10', '__init__', 'link-10');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">default_ns</tt><tt class="py-op">,</tt> <tt class="py-name">extra_ns</tt><tt class="py-op">,</tt> <tt class="py-name">keepalive</tt><tt class="py-op">,</tt> <tt class="py-name">owner</tt><tt class="py-op">)</tt> </tt>
<a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line">        <tt id="link-11" class="py-name"><a title="pyxmpp.streamtls.StreamTLSMixIn" class="py-name" href="#" onclick="return doclink('link-11', 'StreamTLSMixIn', 'link-5');">StreamTLSMixIn</a></tt><tt class="py-op">.</tt><tt id="link-12" class="py-name"><a title="pyxmpp.cache.Cache.__init__
pyxmpp.cache.CacheFetcher.__init__
pyxmpp.cache.CacheItem.__init__
pyxmpp.cache.CacheSuite.__init__
pyxmpp.client.Client.__init__
pyxmpp.clientstream.ClientStream.__init__
pyxmpp.error.ErrorNode.__init__
pyxmpp.error.StanzaErrorNode.__init__
pyxmpp.error.StreamErrorNode.__init__
pyxmpp.exceptions.BadRequestProtocolError.__init__
pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__
pyxmpp.exceptions.JIDMalformedProtocolError.__init__
pyxmpp.exceptions.ProtocolError.__init__
pyxmpp.expdict.ExpiringDictionary.__init__
pyxmpp.interface_micro_impl.Attribute.__init__
pyxmpp.interface_micro_impl.InterfaceClass.__init__
pyxmpp.iq.Iq.__init__
pyxmpp.jabber.client.JabberClient.__init__
pyxmpp.jabber.clientstream.LegacyClientStream.__init__
pyxmpp.jabber.dataforms.Field.__init__
pyxmpp.jabber.dataforms.Form.__init__
pyxmpp.jabber.dataforms.Item.__init__
pyxmpp.jabber.dataforms.Option.__init__
pyxmpp.jabber.delay.Delay.__init__
pyxmpp.jabber.disco.DiscoIdentity.__init__
pyxmpp.jabber.disco.DiscoInfo.__init__
pyxmpp.jabber.disco.DiscoItem.__init__
pyxmpp.jabber.disco.DiscoItems.__init__
pyxmpp.jabber.muc.MucRoomHandler.__init__
pyxmpp.jabber.muc.MucRoomManager.__init__
pyxmpp.jabber.muc.MucRoomState.__init__
pyxmpp.jabber.muc.MucRoomUser.__init__
pyxmpp.jabber.muccore.HistoryParameters.__init__
pyxmpp.jabber.muccore.MucIq.__init__
pyxmpp.jabber.muccore.MucItem.__init__
pyxmpp.jabber.muccore.MucItemBase.__init__
pyxmpp.jabber.muccore.MucPresence.__init__
pyxmpp.jabber.muccore.MucStanzaExt.__init__
pyxmpp.jabber.muccore.MucStatus.__init__
pyxmpp.jabber.muccore.MucX.__init__
pyxmpp.jabber.muccore.MucXBase.__init__
pyxmpp.jabber.register.Register.__init__
pyxmpp.jabber.vcard.VCard.__init__
pyxmpp.jabber.vcard.VCardAdr.__init__
pyxmpp.jabber.vcard.VCardCategories.__init__
pyxmpp.jabber.vcard.VCardEmail.__init__
pyxmpp.jabber.vcard.VCardField.__init__
pyxmpp.jabber.vcard.VCardGeo.__init__
pyxmpp.jabber.vcard.VCardImage.__init__
pyxmpp.jabber.vcard.VCardJID.__init__
pyxmpp.jabber.vcard.VCardKey.__init__
pyxmpp.jabber.vcard.VCardLabel.__init__
pyxmpp.jabber.vcard.VCardName.__init__
pyxmpp.jabber.vcard.VCardOrg.__init__
pyxmpp.jabber.vcard.VCardPrivacy.__init__
pyxmpp.jabber.vcard.VCardSound.__init__
pyxmpp.jabber.vcard.VCardString.__init__
pyxmpp.jabber.vcard.VCardTel.__init__
pyxmpp.jabberd.component.Component.__init__
pyxmpp.jabberd.componentstream.ComponentStream.__init__
pyxmpp.message.Message.__init__
pyxmpp.presence.Presence.__init__
pyxmpp.roster.Roster.__init__
pyxmpp.roster.RosterItem.__init__
pyxmpp.sasl.core.Challenge.__init__
pyxmpp.sasl.core.ClientAuthenticator.__init__
pyxmpp.sasl.core.Failure.__init__
pyxmpp.sasl.core.PasswordManager.__init__
pyxmpp.sasl.core.Reply.__init__
pyxmpp.sasl.core.Response.__init__
pyxmpp.sasl.core.ServerAuthenticator.__init__
pyxmpp.sasl.core.Success.__init__
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__
pyxmpp.sasl.external.ExternalClientAuthenticator.__init__
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainServerAuthenticator.__init__
pyxmpp.stanza.Stanza.__init__
pyxmpp.stanzaprocessor.StanzaProcessor.__init__
pyxmpp.stream.Stream.__init__
pyxmpp.streambase.StreamBase.__init__
pyxmpp.streamsasl.StreamSASLMixIn.__init__
pyxmpp.streamtls.StreamTLSMixIn.__init__
pyxmpp.streamtls.TLSSettings.__init__
pyxmpp.xmlextra.StreamHandler.__init__
pyxmpp.xmlextra.StreamReader.__init__
pyxmpp.xmlextra._PythonReader.__init__
pyxmpp.xmlextra._SAXCallback.__init__
pyxmpp.xmppstringprep.LookupFunction.__init__
pyxmpp.xmppstringprep.LookupTable.__init__
pyxmpp.xmppstringprep.Profile.__init__" class="py-name" href="#" onclick="return doclink('link-12', '__init__', 'link-10');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">tls_settings</tt><tt class="py-op">)</tt> </tt>
<a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line">        <tt id="link-13" class="py-name"><a title="pyxmpp.streamsasl.StreamSASLMixIn" class="py-name" href="#" onclick="return doclink('link-13', 'StreamSASLMixIn', 'link-8');">StreamSASLMixIn</a></tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="pyxmpp.cache.Cache.__init__
pyxmpp.cache.CacheFetcher.__init__
pyxmpp.cache.CacheItem.__init__
pyxmpp.cache.CacheSuite.__init__
pyxmpp.client.Client.__init__
pyxmpp.clientstream.ClientStream.__init__
pyxmpp.error.ErrorNode.__init__
pyxmpp.error.StanzaErrorNode.__init__
pyxmpp.error.StreamErrorNode.__init__
pyxmpp.exceptions.BadRequestProtocolError.__init__
pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__
pyxmpp.exceptions.JIDMalformedProtocolError.__init__
pyxmpp.exceptions.ProtocolError.__init__
pyxmpp.expdict.ExpiringDictionary.__init__
pyxmpp.interface_micro_impl.Attribute.__init__
pyxmpp.interface_micro_impl.InterfaceClass.__init__
pyxmpp.iq.Iq.__init__
pyxmpp.jabber.client.JabberClient.__init__
pyxmpp.jabber.clientstream.LegacyClientStream.__init__
pyxmpp.jabber.dataforms.Field.__init__
pyxmpp.jabber.dataforms.Form.__init__
pyxmpp.jabber.dataforms.Item.__init__
pyxmpp.jabber.dataforms.Option.__init__
pyxmpp.jabber.delay.Delay.__init__
pyxmpp.jabber.disco.DiscoIdentity.__init__
pyxmpp.jabber.disco.DiscoInfo.__init__
pyxmpp.jabber.disco.DiscoItem.__init__
pyxmpp.jabber.disco.DiscoItems.__init__
pyxmpp.jabber.muc.MucRoomHandler.__init__
pyxmpp.jabber.muc.MucRoomManager.__init__
pyxmpp.jabber.muc.MucRoomState.__init__
pyxmpp.jabber.muc.MucRoomUser.__init__
pyxmpp.jabber.muccore.HistoryParameters.__init__
pyxmpp.jabber.muccore.MucIq.__init__
pyxmpp.jabber.muccore.MucItem.__init__
pyxmpp.jabber.muccore.MucItemBase.__init__
pyxmpp.jabber.muccore.MucPresence.__init__
pyxmpp.jabber.muccore.MucStanzaExt.__init__
pyxmpp.jabber.muccore.MucStatus.__init__
pyxmpp.jabber.muccore.MucX.__init__
pyxmpp.jabber.muccore.MucXBase.__init__
pyxmpp.jabber.register.Register.__init__
pyxmpp.jabber.vcard.VCard.__init__
pyxmpp.jabber.vcard.VCardAdr.__init__
pyxmpp.jabber.vcard.VCardCategories.__init__
pyxmpp.jabber.vcard.VCardEmail.__init__
pyxmpp.jabber.vcard.VCardField.__init__
pyxmpp.jabber.vcard.VCardGeo.__init__
pyxmpp.jabber.vcard.VCardImage.__init__
pyxmpp.jabber.vcard.VCardJID.__init__
pyxmpp.jabber.vcard.VCardKey.__init__
pyxmpp.jabber.vcard.VCardLabel.__init__
pyxmpp.jabber.vcard.VCardName.__init__
pyxmpp.jabber.vcard.VCardOrg.__init__
pyxmpp.jabber.vcard.VCardPrivacy.__init__
pyxmpp.jabber.vcard.VCardSound.__init__
pyxmpp.jabber.vcard.VCardString.__init__
pyxmpp.jabber.vcard.VCardTel.__init__
pyxmpp.jabberd.component.Component.__init__
pyxmpp.jabberd.componentstream.ComponentStream.__init__
pyxmpp.message.Message.__init__
pyxmpp.presence.Presence.__init__
pyxmpp.roster.Roster.__init__
pyxmpp.roster.RosterItem.__init__
pyxmpp.sasl.core.Challenge.__init__
pyxmpp.sasl.core.ClientAuthenticator.__init__
pyxmpp.sasl.core.Failure.__init__
pyxmpp.sasl.core.PasswordManager.__init__
pyxmpp.sasl.core.Reply.__init__
pyxmpp.sasl.core.Response.__init__
pyxmpp.sasl.core.ServerAuthenticator.__init__
pyxmpp.sasl.core.Success.__init__
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__
pyxmpp.sasl.external.ExternalClientAuthenticator.__init__
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainServerAuthenticator.__init__
pyxmpp.stanza.Stanza.__init__
pyxmpp.stanzaprocessor.StanzaProcessor.__init__
pyxmpp.stream.Stream.__init__
pyxmpp.streambase.StreamBase.__init__
pyxmpp.streamsasl.StreamSASLMixIn.__init__
pyxmpp.streamtls.StreamTLSMixIn.__init__
pyxmpp.streamtls.TLSSettings.__init__
pyxmpp.xmlextra.StreamHandler.__init__
pyxmpp.xmlextra.StreamReader.__init__
pyxmpp.xmlextra._PythonReader.__init__
pyxmpp.xmlextra._SAXCallback.__init__
pyxmpp.xmppstringprep.LookupFunction.__init__
pyxmpp.xmppstringprep.LookupTable.__init__
pyxmpp.xmppstringprep.Profile.__init__" class="py-name" href="#" onclick="return doclink('link-14', '__init__', 'link-10');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">sasl_mechanisms</tt><tt class="py-op">)</tt> </tt>
<a name="L73"></a><tt class="py-lineno"> 73</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt> <tt class="py-op">=</tt> <tt class="py-name">logging</tt><tt class="py-op">.</tt><tt class="py-name">getLogger</tt><tt class="py-op">(</tt><tt class="py-string">"pyxmpp.Stream"</tt><tt class="py-op">)</tt> </tt>
</div><a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line"> </tt>
<a name="Stream._reset"></a><div id="Stream._reset-def"><a name="L75"></a><tt class="py-lineno"> 75</tt> <a class="py-toggle" href="#" id="Stream._reset-toggle" onclick="return toggle('Stream._reset');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html#_reset">_reset</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream._reset-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Stream._reset-expanded"><a name="L76"></a><tt class="py-lineno"> 76</tt>  <tt class="py-line">        <tt class="py-docstring">"""Reset `Stream` object state making it ready to handle new</tt> </tt>
<a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line"><tt class="py-docstring">        connections."""</tt> </tt>
<a name="L78"></a><tt class="py-lineno"> 78</tt>  <tt class="py-line">        <tt id="link-15" class="py-name"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-15', 'StreamBase', 'link-2');">StreamBase</a></tt><tt class="py-op">.</tt><tt id="link-16" class="py-name" targets="Method pyxmpp.clientstream.ClientStream._reset()=pyxmpp.clientstream.ClientStream-class.html#_reset,Method pyxmpp.jabber.clientstream.LegacyClientStream._reset()=pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_reset,Method pyxmpp.jabberd.componentstream.ComponentStream._reset()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#_reset,Method pyxmpp.stream.Stream._reset()=pyxmpp.stream.Stream-class.html#_reset,Method pyxmpp.streambase.StreamBase._reset()=pyxmpp.streambase.StreamBase-class.html#_reset"><a title="pyxmpp.clientstream.ClientStream._reset
pyxmpp.jabber.clientstream.LegacyClientStream._reset
pyxmpp.jabberd.componentstream.ComponentStream._reset
pyxmpp.stream.Stream._reset
pyxmpp.streambase.StreamBase._reset" class="py-name" href="#" onclick="return doclink('link-16', '_reset', 'link-16');">_reset</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">)</tt> </tt>
<a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-17" class="py-name" targets="Method pyxmpp.streamtls.StreamTLSMixIn._reset_tls()=pyxmpp.streamtls.StreamTLSMixIn-class.html#_reset_tls"><a title="pyxmpp.streamtls.StreamTLSMixIn._reset_tls" class="py-name" href="#" onclick="return doclink('link-17', '_reset_tls', 'link-17');">_reset_tls</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-18" class="py-name" targets="Method pyxmpp.streamsasl.StreamSASLMixIn._reset_sasl()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#_reset_sasl"><a title="pyxmpp.streamsasl.StreamSASLMixIn._reset_sasl" class="py-name" href="#" onclick="return doclink('link-18', '_reset_sasl', 'link-18');">_reset_sasl</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L81"></a><tt class="py-lineno"> 81</tt>  <tt class="py-line"> </tt>
<a name="Stream._make_stream_features"></a><div id="Stream._make_stream_features-def"><a name="L82"></a><tt class="py-lineno"> 82</tt> <a class="py-toggle" href="#" id="Stream._make_stream_features-toggle" onclick="return toggle('Stream._make_stream_features');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html#_make_stream_features">_make_stream_features</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream._make_stream_features-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Stream._make_stream_features-expanded"><a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line">        <tt class="py-docstring">"""Create the &lt;features/&gt; element for the stream.</tt> </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line"><tt class="py-docstring">        [receving entity only]</tt> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line"><tt class="py-docstring">        :returns: new &lt;features/&gt; element node."""</tt> </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line">        <tt id="link-19" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoInfo.features=pyxmpp.jabber.disco.DiscoInfo-class.html#features"><a title="pyxmpp.jabber.disco.DiscoInfo.features" class="py-name" href="#" onclick="return doclink('link-19', 'features', 'link-19');">features</a></tt><tt class="py-op">=</tt><tt id="link-20" class="py-name"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-20', 'StreamBase', 'link-2');">StreamBase</a></tt><tt class="py-op">.</tt><tt id="link-21" class="py-name" targets="Method pyxmpp.stream.Stream._make_stream_features()=pyxmpp.stream.Stream-class.html#_make_stream_features,Method pyxmpp.streambase.StreamBase._make_stream_features()=pyxmpp.streambase.StreamBase-class.html#_make_stream_features"><a title="pyxmpp.stream.Stream._make_stream_features
pyxmpp.streambase.StreamBase._make_stream_features" class="py-name" href="#" onclick="return doclink('link-21', '_make_stream_features', 'link-21');">_make_stream_features</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">)</tt> </tt>
<a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-22" class="py-name" targets="Method pyxmpp.streamtls.StreamTLSMixIn._make_stream_tls_features()=pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_stream_tls_features"><a title="pyxmpp.streamtls.StreamTLSMixIn._make_stream_tls_features" class="py-name" href="#" onclick="return doclink('link-22', '_make_stream_tls_features', 'link-22');">_make_stream_tls_features</a></tt><tt class="py-op">(</tt><tt id="link-23" class="py-name"><a title="pyxmpp.jabber.disco.DiscoInfo.features" class="py-name" href="#" onclick="return doclink('link-23', 'features', 'link-19');">features</a></tt><tt class="py-op">)</tt> </tt>
<a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-24" class="py-name" targets="Method pyxmpp.streamsasl.StreamSASLMixIn._make_stream_sasl_features()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#_make_stream_sasl_features"><a title="pyxmpp.streamsasl.StreamSASLMixIn._make_stream_sasl_features" class="py-name" href="#" onclick="return doclink('link-24', '_make_stream_sasl_features', 'link-24');">_make_stream_sasl_features</a></tt><tt class="py-op">(</tt><tt id="link-25" class="py-name"><a title="pyxmpp.jabber.disco.DiscoInfo.features" class="py-name" href="#" onclick="return doclink('link-25', 'features', 'link-19');">features</a></tt><tt class="py-op">)</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt id="link-26" class="py-name"><a title="pyxmpp.jabber.disco.DiscoInfo.features" class="py-name" href="#" onclick="return doclink('link-26', 'features', 'link-19');">features</a></tt> </tt>
</div><a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line"> </tt>
<a name="Stream._process_node"></a><div id="Stream._process_node-def"><a name="L93"></a><tt class="py-lineno"> 93</tt> <a class="py-toggle" href="#" id="Stream._process_node-toggle" onclick="return toggle('Stream._process_node');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html#_process_node">_process_node</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt><tt class="py-param">xmlnode</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream._process_node-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Stream._process_node-expanded"><a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line">        <tt class="py-docstring">"""Process first level element of the stream.</tt> </tt>
<a name="L95"></a><tt class="py-lineno"> 95</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line"><tt class="py-docstring">        The element may be stream error or features, StartTLS</tt> </tt>
<a name="L97"></a><tt class="py-lineno"> 97</tt>  <tt class="py-line"><tt class="py-docstring">        request/response, SASL request/response or a stanza.</tt> </tt>
<a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L99"></a><tt class="py-lineno"> 99</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L100"></a><tt class="py-lineno">100</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: XML node describing the element</tt> </tt>
<a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line"><tt class="py-docstring">        """</tt> </tt>
<a name="L102"></a><tt class="py-lineno">102</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-27" class="py-name" targets="Method pyxmpp.streamtls.StreamTLSMixIn._process_node_tls()=pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_node_tls"><a title="pyxmpp.streamtls.StreamTLSMixIn._process_node_tls" class="py-name" href="#" onclick="return doclink('link-27', '_process_node_tls', 'link-27');">_process_node_tls</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L103"></a><tt class="py-lineno">103</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> </tt>
<a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name" targets="Method pyxmpp.streamsasl.StreamSASLMixIn._process_node_sasl()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_node_sasl"><a title="pyxmpp.streamsasl.StreamSASLMixIn._process_node_sasl" class="py-name" href="#" onclick="return doclink('link-28', '_process_node_sasl', 'link-28');">_process_node_sasl</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L105"></a><tt class="py-lineno">105</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> </tt>
<a name="L106"></a><tt class="py-lineno">106</tt>  <tt class="py-line">        <tt id="link-29" class="py-name"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-29', 'StreamBase', 'link-2');">StreamBase</a></tt><tt class="py-op">.</tt><tt id="link-30" class="py-name" targets="Method pyxmpp.jabberd.componentstream.ComponentStream._process_node()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#_process_node,Method pyxmpp.stream.Stream._process_node()=pyxmpp.stream.Stream-class.html#_process_node,Method pyxmpp.streambase.StreamBase._process_node()=pyxmpp.streambase.StreamBase-class.html#_process_node"><a title="pyxmpp.jabberd.componentstream.ComponentStream._process_node
pyxmpp.stream.Stream._process_node
pyxmpp.streambase.StreamBase._process_node" class="py-name" href="#" onclick="return doclink('link-30', '_process_node', 'link-30');">_process_node</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt><tt class="py-name">xmlnode</tt><tt class="py-op">)</tt> </tt>
</div><a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line"> </tt>
<a name="Stream._got_features"></a><div id="Stream._got_features-def"><a name="L108"></a><tt class="py-lineno">108</tt> <a class="py-toggle" href="#" id="Stream._got_features-toggle" onclick="return toggle('Stream._got_features');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.stream.Stream-class.html#_got_features">_got_features</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Stream._got_features-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Stream._got_features-expanded"><a name="L109"></a><tt class="py-lineno">109</tt>  <tt class="py-line">        <tt class="py-docstring">"""Process incoming &lt;stream:features/&gt; element.</tt> </tt>
<a name="L110"></a><tt class="py-lineno">110</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L111"></a><tt class="py-lineno">111</tt>  <tt class="py-line"><tt class="py-docstring">        [initiating entity only]</tt> </tt>
<a name="L112"></a><tt class="py-lineno">112</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L113"></a><tt class="py-lineno">113</tt>  <tt class="py-line"><tt class="py-docstring">        The received features node is available in `self.features`."""</tt> </tt>
<a name="L114"></a><tt class="py-lineno">114</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-31" class="py-name" targets="Method pyxmpp.streamtls.StreamTLSMixIn._handle_tls_features()=pyxmpp.streamtls.StreamTLSMixIn-class.html#_handle_tls_features"><a title="pyxmpp.streamtls.StreamTLSMixIn._handle_tls_features" class="py-name" href="#" onclick="return doclink('link-31', '_handle_tls_features', 'link-31');">_handle_tls_features</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L115"></a><tt class="py-lineno">115</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-32" class="py-name" targets="Method pyxmpp.streamsasl.StreamSASLMixIn._handle_sasl_features()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#_handle_sasl_features"><a title="pyxmpp.streamsasl.StreamSASLMixIn._handle_sasl_features" class="py-name" href="#" onclick="return doclink('link-32', '_handle_sasl_features', 'link-32');">_handle_sasl_features</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L116"></a><tt class="py-lineno">116</tt>  <tt class="py-line">        <tt id="link-33" class="py-name"><a title="pyxmpp.streambase.StreamBase" class="py-name" href="#" onclick="return doclink('link-33', 'StreamBase', 'link-2');">StreamBase</a></tt><tt class="py-op">.</tt><tt id="link-34" class="py-name" targets="Method pyxmpp.stream.Stream._got_features()=pyxmpp.stream.Stream-class.html#_got_features,Method pyxmpp.streambase.StreamBase._got_features()=pyxmpp.streambase.StreamBase-class.html#_got_features"><a title="pyxmpp.stream.Stream._got_features
pyxmpp.streambase.StreamBase._got_features" class="py-name" href="#" onclick="return doclink('link-34', '_got_features', 'link-34');">_got_features</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">)</tt> </tt>
<a name="L117"></a><tt class="py-lineno">117</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">tls_requested</tt> <tt class="py-keyword">and</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-35" class="py-name" targets="Method pyxmpp.client.Client.authenticated()=pyxmpp.client.Client-class.html#authenticated,Method pyxmpp.jabberd.component.Component.authenticated()=pyxmpp.jabberd.component.Component-class.html#authenticated"><a title="pyxmpp.client.Client.authenticated
pyxmpp.jabberd.component.Component.authenticated" class="py-name" href="#" onclick="return doclink('link-35', 'authenticated', 'link-35');">authenticated</a></tt><tt class="py-op">:</tt> </tt>
<a name="L118"></a><tt class="py-lineno">118</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-36" class="py-name" targets="Method pyxmpp.streambase.StreamBase.state_change()=pyxmpp.streambase.StreamBase-class.html#state_change"><a title="pyxmpp.streambase.StreamBase.state_change" class="py-name" href="#" onclick="return doclink('link-36', 'state_change', 'link-36');">state_change</a></tt><tt class="py-op">(</tt><tt class="py-string">"fully connected"</tt><tt class="py-op">,</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">peer</tt><tt class="py-op">)</tt> </tt>
<a name="L119"></a><tt class="py-lineno">119</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-37" class="py-name" targets="Method pyxmpp.clientstream.ClientStream._post_connect()=pyxmpp.clientstream.ClientStream-class.html#_post_connect,Method pyxmpp.jabber.clientstream.LegacyClientStream._post_connect()=pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_post_connect,Method pyxmpp.jabberd.componentstream.ComponentStream._post_connect()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#_post_connect,Method pyxmpp.streambase.StreamBase._post_connect()=pyxmpp.streambase.StreamBase-class.html#_post_connect"><a title="pyxmpp.clientstream.ClientStream._post_connect
pyxmpp.jabber.clientstream.LegacyClientStream._post_connect
pyxmpp.jabberd.componentstream.ComponentStream._post_connect
pyxmpp.streambase.StreamBase._post_connect" class="py-name" href="#" onclick="return doclink('link-37', '_post_connect', 'link-37');">_post_connect</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L120"></a><tt class="py-lineno">120</tt>  <tt class="py-line"> </tt>
<a name="L121"></a><tt class="py-lineno">121</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L122"></a><tt class="py-lineno">122</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:09 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
